Pypanel w Ubuntu 9.04 - problem z zależnościami


(Konqui96) #1

Witam.

Mam następujący problem. Otoż ostatnio przyszła mi chęć na Openboksa, jednak na przeszkodzie staje mi pypanel, a raczej jego brak. Próbowałem paczki z Launchpada, ale bez skutku, w dalszym ciągu panel ma niespełnione zależności. Co mam robić?

Pozdrawiam i z góry dziękuję za pomoc.


(roobal) #2

Pobierz zależności i je doinstaluj ręcznie albo wykorzystaj do tego APTonCD i stwórz sobie repo lokalne z tymi pakietami https://launchpad.net/ubuntu/jaunty/i38 ... -1.1build1

Polecman jeszcze BMPanel http://nsf.110mb.com/bmpanel/

Tak przy okazji, pakiety możesz instalować z pominięciem zależności, wypakowując je do jakiegoś katalogu, najlepiej głównego w ten sposób:

dpkg -x pypanel_2.4-1.1build1_i386.deb /

Jest to dobry sposób na ręczne dobranie tylko potrzebnych zależności prawie jak w Slackware, odpalisz Pypanel z konsoli i zobaczysz co jeszcze trzeba doinstalować w podany wyżej sposób, aby spełnić zależności. Albo po prostu:

dpkg --ignore-depends pypanel_2.4-1.1build1_i386.deb

Pozdrawiam!


(Konqui96) #3

Dzięki za linka do BMPanel, fajna sprawa. No to może jeszcze jedno pytanie : jak ustawić, żeby Openbox wykorzystywał dany motyw GTK? Bo na razie to mam wygląd aplikacji GTK taki, jakby w ogóle żadnego motywu nie było na dysku (czyli wszystko kwadratowe, niebieski pasek postępu) i jak wskazać, którego motywu ikon ma używać ten menedżer okien?

Pozdrawiam


(Kaka') #4

Najlepiej ustaw to na sztywno w pliku ~/.gtkrc-2.0 (dla GTK2+) oraz ~/.gtkrc (dla GTK+1). Przykład mojego pliku ~/.gtkrc-2.0:

#include "/home/kaka/.themes/ClearlooksGray2/gtk-2.0/gtkrc"


## Dla QT4 w GTK2

#include "/usr/share/themes/Qt4/gtk-2.0/gtkrc"


## Jak wyżej, ale inna wersja theme:

#include "/usr/share/themes/Oxygen/gtk-2.0/gtkrc"

include "/usr/share/themes/kde4-oxygen/gtk-2.0/gtkrc"

#include "/home/kaka/.themes/Rele/gtk-2.0/gtkrc"


#include "/home/kaka/.themes/Mirage/gtk-2.0/gtkrc"


style "default"

{

font_name = "Tahoma 8"

}

class "*" style "default"


#include "/home/kaka/.gtkrc-2.0.mine"


gtk-icon-theme-name="nuoveXT.2.2"

Możesz też skorzystać z programu gtk-theme-switch, w którym możesz wybrać motyw. Programik zedytuje powyższy plik.


(Konqui96) #5

Dzięki za pomoc :slight_smile:

To by było na tyle, pozdrawiam.


(roobal) #6

Ja swego czasu pod Fluxboksem używałem Gtk2-chtheme ale nim można tylko zmieniać motywy GTK, teraz używam Lxappearance z LXDE, bo umożliwia również zmianę ikon :slight_smile:

Pozdrawiam!